      subroutine driver_lt(dlat,dlon,time,isdata,height)

c     This program is a generic driver to evauluate the
c     height of the tide at (dlat,dlon) at a time in seconds
c     after 1 Jan 1992 00:00:00.  Height is returned at
c     a height in cm.
c    
c     By: Craig Tierney
c     Date: 24 Oct 1994
c

      implicit none 
      double precision dlat,dlon,time,height
      logical isdata
      double precision tlp, tide, ltide
      double precision u(3,2), v(3,2)
      double precision xmjd0, dmjd 
      save
      logical init,pseudo,radiation
      data init /.TRUE./
c***xmjd0 is the modified julian date for 1 Jan 1992 00:00:00 in days
      data xmjd0 /48622.d0/, dmjd /0.125d0/

c***open the orthoweight file for the cr1991 tide model
      if (init) then
C       open (51, file=
C    &  '/home/wind2/tierney/tmodels/xover/loadtide/ortho_load_1.6')
        open (54, file=
     &  'ortho_load_3.0')
        init=.FALSE.
      endif

c  Find the tide height
      height=-999.d0
c  Convert time to mjd
c      time=time+xmjd0*86400.0
      call tptide (dlat,dlon,time,height,isdata,u,v,pseudo,radiation)
      return 
      end
